Create an S3 group configuration
Creates an S3 group configuration to organize users and apply policies within an SVM. This helps manage access and permissions for groups of users effectively.
HTTP method and endpoint
POST /protocols/s3/services/{svm.uuid}/groups
Introduced in
ONTAP 9.8
Important notes
-
Each SVM can have one or more s3 group configurations.
Required properties
-
svm.uuid- Existing SVM in which to create the user configuration. -
name- Group name that is to be created. -
users- List of users to be added into the group. -
policies- List of policies are to be attached to this group.
Recommended optional properties
-
comment- Short description about the S3 Group.
Related ONTAP commands
-
vserver object-store-server group create
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
comment |
string |
Can contain any additional information about the group being created or modified. |
id |
integer |
Specifies a unique Group ID used to identify a particular group. This parameter should not be specified in the POST or PATCH method. A Group ID is automatically generated and it is retrieved using the GET method. Group ID is SVM-scoped. |
name |
string |
Specifies the name of the group. A group name length can range from 1 to 128 characters and can only contain the following combination of characters 0-9, A-Z, a-z, "_", "+", "=", ",", ".","@", and "-". |
policies |
array[policies] |
Specifies a list of policies that are attached to the group. The wildcard character "*" is a valid value for specifying all policies. |
svm |
SVM, applies only to SVM-scoped objects. |
|
users |
array[users] |
Specifies the list of users who belong to the group. |
Example request
{
"comment": "Admin group",
"id": 5,
"name": "Admin-Group",
"policies": [
{
"name": "Policy1"
}
],
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"users": [
{
"name": "user-1"
}
]
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of records |
records |
array[s3_group] |
Example response
{
"num_records": 1,
"records": [
{
"comment": "Admin group",
"id": 5,
"name": "Admin-Group",
"policies": [
{
"name": "Policy1"
}
],
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"users": [
{
"name": "user-1"
}
]
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
92406207 |
An object store group cannot have an empty list of users. |
92405930 |
Group name "{group name}" is not valid. Group names must have between 1 and 128 characters. |
92405931 |
Group name "{group name}" contains invalid characters. Valid characters for a group name are 0-9, A-Z, a-z, "_", "+", "=", ",", ".", "@", and "-". |
92405932 |
Creating an object store group requires an effective cluster version of 9.8 or later. |
92405933 |
Failed to create group for SVM. Reason: "{reason of failure}". |
92405934 |
Users {user name} specified in the user list do not exist for SVM "{vserver name}". Use the "object-store-server user create" command to create a user. |
92405935 |
Internal Error. Unable to generate unique ID for the group. |
92405936 |
Query characters such as * are not supported in the user list. |
92405937 |
Policies {policy name} specified in the policy list do not exist for SVM "{vserver name}". |
92405942 |
Group name "{group name}" already exists for SVM "{vserver name}". |
92405858 |
Failed to "create" the "group" because the operation is only supported on data SVMs. |
262222 |
User name is present more than once in the users field. |
92406154 |
Users {user} specified in the user list do not exist for SVM "vs1". Use the "/protocols/s3/services/{svm.uuid}/users" endpoint to create a user. |
92406307 |
Cannot add object store user "user1" in SVM "vs1" to the group. Reason: The user is disabled, because it does not have keys generated. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
policies
| Name | Type | Description |
|---|---|---|
name |
string |
Specifies the name of the policy. A policy name length can range from 1 to 128 characters and can only contain the following combination of characters 0-9, A-Z, a-z, "_", "+", "=", ",", ".","@", and "-". |
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
users
| Name | Type | Description |
|---|---|---|
name |
string |
Specifies the name of the user. A user name length can range from 1 to 64 characters and can only contain the following combination of characters 0-9, A-Z, a-z, "_", "+", "=", ",", ".","@", and "-". |
s3_group
This is a container for S3 user groups.
| Name | Type | Description |
|---|---|---|
comment |
string |
Can contain any additional information about the group being created or modified. |
id |
integer |
Specifies a unique Group ID used to identify a particular group. This parameter should not be specified in the POST or PATCH method. A Group ID is automatically generated and it is retrieved using the GET method. Group ID is SVM-scoped. |
name |
string |
Specifies the name of the group. A group name length can range from 1 to 128 characters and can only contain the following combination of characters 0-9, A-Z, a-z, "_", "+", "=", ",", ".","@", and "-". |
policies |
array[policies] |
Specifies a list of policies that are attached to the group. The wildcard character "*" is a valid value for specifying all policies. |
svm |
SVM, applies only to SVM-scoped objects. |
|
users |
array[users] |
Specifies the list of users who belong to the group. |
collection_links
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |